Table of Contents

Class: PythonScript | Twisted-0.17.4/twisted/web/script.py
--- | ---

### I am an extremely simple dynamic resource; an embedded python script.

This will execute a file (usually of the extension `.epy`) as Python code, internal to the webserver.

Base Classes |
--- | ---
resource.Resource

Methods |
--- | ---
__init__ render
| __init__

    __init__ ( self,  filename )

Initialize me with a script name.

| render

    render ( self,  request )

### Render me to a web client.

Load my file, execute it in a special namespace (with `request` and `__file__` global vars) and finish the request. Output to the web-page will NOT be handled with print - standard output goes to the log - but with request.write.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0